

function myrefresh()
{
       window.location.reload();
}

function ShowCookiesView(flag)
{
	if(flag == 0)
	{
		return false;
	}else
	{
		$.get(u_url+"/ajaxjs.php?act=showcookies&t="+Math.random(), {}, function(text){
			if(text)
			{
				$("#kk_show_cook").html(text);
			}else
			{
				$("#kk_show_cook").html("您还没有浏览过任何作品");
				closeDiv();
			}
			return true;
		});
		return false;
	}
}

function GetCookiesView(fid,fname,type,flag)
{
	if(flag == 0)
	{
		return false;
	}else
	{
		$.get(u_url+"/ajaxjs.php?act=setcookies&t="+Math.random(), {fid:fid,fname:fname,type:type}, function(text){
			//$("#kk_book_action").html(text);
			return true;
		});
		return false;
	}
}

function GetBookCounts(id,title,type)
{
	$.get(u_url+"/ajaxjs.php?act=bookcounts&t="+Math.random(), {id:id,title:title,type:type}, function(text){
		$("#kk_book_counts").html(text);
		return true;
	});
	return false;
}
function GetBookAction(fid,fname,type)
{
	$.get(u_url+"/ajaxjs.php?act=bookaction&t="+Math.random(), {fid:fid,fname:fname,type:type}, function(text){
		$("#kk_book_action").html(text);
		return true;
	});
	return false;
}
function GetLogin()
{
	$.get(u_url+"/ajaxjs.php?act=toplogin&t="+Math.random(), {}, function(text){
		$("#kk_top_login").html(text);
		return true;
	});
	return false;
}

function SetCollection(fid,fname,type)
{
	$.get(u_url+"/ajaxjs.php?act=collection&t="+Math.random(), {fid:fid,fname:fname,type:type}, function(text){
		if(text=="nologin")
		{
			$("#alert_msg").fadeIn();
			$("#alert_msg").html("请先登录");
			open_maos_msg();
			return false;
		}else if(text=="noadd")
		{
			$("#alert_msg").fadeIn();
			$("#alert_msg").html("收藏失败");
			open_maos_msg();
			return false;
		}else if(text=="added")
		{
			$("#alert_msg").fadeIn();
			$("#alert_msg").html("您已经收藏了");
			open_maos_msg();
			return false;
		}else if(text=="ok")
		{
			$("#alert_msg").fadeIn();
			$("#alert_msg").html("收藏成功");
			open_maos_msg();
			setTimeout('myrefresh()',2000);
			return true;
		}else
		{
			$("#alert_msg").fadeIn();
			$("#alert_msg").html("非法操作");
			open_maos_msg();
			return false;
		}
	 });
}



function SetRecommend(fid,fname,type)
{
	$.get(u_url+"/ajaxjs.php?act=recommend&t="+Math.random(), {fid:fid,fname:fname,type:type}, function(text){
		if(text=="nologin")
		{
			$("#alert_msg").fadeIn();
			$("#alert_msg").html("请先登录");
			open_maos_msg();
			return false;
		}else if(text=="noadd")
		{
			$("#alert_msg").fadeIn();
			$("#alert_msg").html("推荐失败");
			open_maos_msg();
			return false;
		}else if(text=="added")
		{
			$("#alert_msg").fadeIn();
			$("#alert_msg").html("您已经推荐");
			open_maos_msg();
			return false;
		}else if(text=="ok")
		{
			$("#alert_msg").fadeIn();
			$("#alert_msg").html("推荐成功");
			open_maos_msg();
			setTimeout('myrefresh()',2000);
			return true;
		}else
		{
			$("#alert_msg").fadeIn();
			$("#alert_msg").html("非法操作");
			open_maos_msg();
			return false;
		}
	 });
}

function submitComments(fid,fname,type)
{
	var title = $('#c_title').val();	
	var contents = $('#c_contents').val();	
	var nobody = $('#nobody').val();
	var code_ping = $('#code_ping').val();
	
	if(contents=="" || title=="" || code_ping=="")
	{
		$("#alert_ping").fadeIn();
		$("#alert_ping").html("标题,评论,验证码内容不能为空");
		return false;
	}
	$.get(u_url+"/ajaxjs.php?act=submitcomments&t="+Math.random(), {fid:fid,fname:fname,type:type,nobody:nobody,title:title,contents:contents,code_ping:code_ping}, function(text){
		if(text=="nologin")
		{
			$("#alert_ping").fadeIn();
			$("#alert_ping").html("请先登录");
			return false;
		}else if(text=="noadd")
		{
			$("#alert_ping").fadeIn();
			$("#alert_ping").html("评论失败");
			return false;
		}else if(text=="nocode")
		{
			$("#alert_ping").fadeIn();
			$("#alert_ping").html("验证码不正确");
			return false;
		}else if(text=="ok")
		{
			close_ping()
			$("#c_title")[0].value = "";
			$("#c_contents")[0].value = "";
			$("#alert_msg").fadeIn();
			$("#alert_msg").html("您的评论已经成功提交。");
			open_maos_msg();
			setTimeout('myrefresh()',3000);
			return true;
		}else if(text=="ok_check")
		{
			close_ping()
			$("#c_title")[0].value = "";
			$("#c_contents")[0].value = "";
			$("#alert_msg").fadeIn();
			$("#alert_msg").html("您的评论已经成功提交,请等待管理员审核。");
			open_maos_msg();
			setTimeout('myrefresh()',2000);
			return true;
		}else
		{
			$("#alert_ping").fadeIn();
			$("#alert_ping").html("非法操作");
			return false;
		}
		return true;
	});
	return false;
}

function open_ping(){
	document.getElementById('alert_ping').style.display='none';
	$.get(u_url+"/ajaxjs.php?act=nobodyping&t="+Math.random(), {}, function(text){
		if(text=="ok_logined")//开启匿名评论，同时已经登录
		{
			document.getElementById('light').style.display='block';
			document.getElementById('fade').style.display='block';
			$("#showPingLogin").html("你已经登录，请输入评论。");
			return true;
		}else if(text=="ok_nobody")
		{//开启匿名评论，没有登录
			$("#showNobody").fadeIn();
			document.getElementById('light').style.display='block';
			document.getElementById('fade').style.display='block';
			$("#showPingLogin").html("<a href='"+u_url+"/reg.php'>没有注册</a>   <a href='"+u_url+"/managelogin.php'>没有登录</a>");
			return true;
		}else if(text=="ok_nobody")
		{//没有开启匿名评论，已经登录
			document.getElementById('light').style.display='block';
			document.getElementById('fade').style.display='block';
			$("#showPingLogin").html("你已经登录，请输入评论。");
			return true;
		}else if(text=="ok_nobody")
		{//没有开启匿名评论，没有登录
			$("#alert_msg").fadeIn();
			$("#alert_msg").html("请先登录，本系统暂未开启匿名评论");
			open_maos_msg();
			return false;
		}
	});
	
}

function close_ping(){
	document.getElementById('light').style.display='none';
	document.getElementById('fade').style.display='none' 
	document.getElementById('alert_ping').style.display='none';
	$("#code_ping")[0].value = "";
}


function submitdown()
{
	var code = $('#code').val();	
	var url_down = $('#url_down').val();
	if(code=="" || url_down=="")
	{
		$("#alert_down").fadeIn();
		$("#alert_down").html("验证码不能为空");
		return false;
	}
	$("#alert_down").fadeOut();
	$.get(u_url+"/ajaxjs.php?act=submitdown&t="+Math.random(), {code:code,url_down:url_down}, function(text){
		if(text=="ok")
		{
			//$("#alert_down").fadeIn();
			//$("#alert_down").html("验证码正确");
			window.location.href=url_down+"&code="+code;
			close_maos_down();
			return false;
		}else if(text=="nocode")
		{
			$("#alert_down").fadeIn();
			$("#alert_down").html("验证码不正确");
			return false;
		}else if(text=="no_nobody_down")
		{
			$("#alert_down").fadeIn();
			$("#alert_down").html("不允许匿名下载，请先注册登录");
			return false;
		}else
		{
			$("#alert_down").fadeIn();
			$("#alert_down").html("非法操作");
			return false;
		}
		return true;
	});
	return false;
}

